Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

Ethernet : Server class

## write()

#### Description

Write data to all the clients connected to a server.

#### Syntax

server.write(data)

#### Parameters

data: the value to write (byte or char)

#### Returns

None

#### Example

    #include <Ethernet.h>

    // network configuration.  gateway and subnet are optional.
    byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
    byte ip[] = { 10, 0, 0, 177 };
    byte gateway[] = { 10, 0, 0, 1 };
    byte subnet[] = { 255, 255, 0, 0 };

    // telnet defaults to port 23
    Server server = Server(23);

    void setup()
    {
      // initialize the ethernet device
      Ethernet.begin(mac, ip, gateway, subnet);

      // start listening for clients
      server.begin();
    }

    void loop()
    {
      Client client = server.available();
      if (client) {
        server.write(client.read());
      }
    }

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share |
Edit Page | Page History | Printable View | All Recent Site Changes